FXCM Forex Trading

IndicoreSDK 3 debugger error: getAskPrice, getBidPrice

Section for all discussions related to development using Indicore API/SDK.

Moderator: admin

IndicoreSDK 3 debugger error: getAskPrice, getBidPrice

Postby dtb71fxcm » Sat Jan 28, 2017 3:13 am

I've been using a chunk of code with getAskPrice & getBidPrice in several indicators, and they work fine in the FXCM Trading Station, tested up thru version 01.15.090516

And the code works fine in debugger: IndicoreSDK 2.3.1

Code: Select all
    indicator:requiredSource( core.Bar );
    indicator:type( core.Indicator );


Code: Select all
    -----------------------------------
    -- spread
    -----------------------------------
    if source:isBid() then
        bidPrice = source;
        askPrice = core.host:execute("getAskPrice");

    else
        askPrice = source;
        bidPrice = core.host:execute("getBidPrice");
    end


But any indicator with that chunk of code always fails with an unrecoverable error when testing/debugging with the latest debuggers: IndicoreSDK 3.0.1 and IndicoreSDK 3.1.0

ERROR " Command is not supported" in file
Debug session is finished


Is that code deprecated? Or will the debugger get fixed?

Thanks
User avatar
dtb71fxcm
 
Posts: 40
Joined: Sat May 05, 2012 9:28 pm

Return to Discussions

Who is online

Users browsing this forum: No registered users and 1 guest